*{
    box-sizing: border-box;
    padding:0;
    margin:0;
    border:0;
    user-select: none;
}

:root{
    --text:#272626;
    --grey:#a1a1a3;
    --grey2:#323237;
    --lighter-white:#ffffffdc;
    --lighter-grey: #70707161;
    --white:#ffffff;
    --dark-grey:#131313;
    --black: #0a0a0a;
    --unit:4px;
    --accent: #04908b;
    --accent-dark: #012d2a;
    --accent-light:#01686369;
}

html{
    scroll-behavior: smooth;
}

form{
    display:flex;
    flex-direction:column;
    gap:calc(var(--unit)*5);
    width:100%;
    height:max-content;
    max-width:320px;
}

form h3{
    color:var(--white);
    margin-bottom:0px;
}

#close-btn-2{
    width:35px;
    height:35px;
    padding:var(--unit);
    color:var(--black);
}
#close-btn-1{
    width:25px;
    height:25px;
    padding:var(--unit);
    color:var(--white);
}

#close-btn-1 img{
    -webkit-filter: grayscale(100) brightness(100);
    filter:grayscale(100) brightness(100);
}

img{
    width:100%;
    height:100%;
    pointer-events: none;
}

#resume .before, #resume .after{
    display:none;
}
#resume{
    color:var(--accent);
    width: max-content;
    min-width:0;
    padding:0;
    height:max-content;
    text-decoration: underline;
}

#sub-section3{
    margin-bottom:300px;
}

.card-holder{
    width:max-content;
    position:relative;
    height:max-content;
}

.arrow-one, .arrow-two{
    position: absolute;
    top:0;
    align-items:center;
    gap:calc(var(--unit)*2);
    left:-60%;
    display:none;
}

.paragraph{
    display:flex;
    width:370px;
    flex-wrap:wrap;
}

.jump-out{
    transform: translate(-100px, 100px) scale(2);
    opacity:0;
    animation: jump-in .3s ease-in forwards;
}

.arrow-two{
    left:auto;
    right:-50%;
    top:auto;
    bottom:0;
}

#arrow-one{
    stroke-dasharray:253.86720275878906;
    stroke-dashoffset:253.86720275878906;
    animation: draw 1s linear forwards;
}
#arrow-two{
    stroke-dasharray:307.3509216308594;
    stroke-dashoffset:307.3509216308594;
    animation: draw 1s linear forwards;
}

.txt{
    color: var(--white);
    font-weight:300;
    font-family: "Caveat", cursive;
    font-size: 22.62px;
}

.my-accounts{
    width:100%;
    display:flex;
    justify-content:flex-start;
    gap:calc(var(--unit)*5);
    height:100%;
}

.send-btn{
    width:100%;
    height:max-content;
    display:flex;
    justify-content:flex-end;
}

label{
    color:var(--white);
    width:100%;
    display:flex;
    font-size: 11.32px;
    flex-direction: column;
}

.content{
    width:100%;
    justify-content:center;
    position: relative;
    height:max-content;
    display:flex;
    gap:calc(var(--unit)*15);
    flex-direction:column;
    align-items:center;
}

.b-card{
    width:100%;
    height:100%;
    min-height:400px;
    top: 0;
    left:0;
    display:flex;
    justify-content:center;
    align-items:center;
    pointer-events:none;
    transition:0.7s;
    padding-bottom:calc(var(--unit)*5);
}

.card{
    width:380px;
    aspect-ratio:16/9;
    transform:scale(0.5);
    opacity:0;
    display:flex;
    justify-content:center;
    align-items:center;
    overflow:visible;
    position: relative;
    pointer-events: all;
    perspective: 1000px;
    transition:0.7s ease-out;
    font-weight:600;
}

.business-card{
    width:100%;
    height:100%;
    position:relative;
    transform-style:preserve-3d;
    transition: transform 1.5s;
    font-family: "Red Hat Text", sans-serif;
}

.div{
    height:370px;
    aspect-ratio:9/16;
    top:20px;
    left:20px;
    display:flex;
    align-items:center;
    flex-direction: column;
    justify-content: space-between;
    z-index:400;
    transform:rotate(90deg);
}

.qr{
    width:150px;
    height:150px;
    border-radius:10px;
}

.hero{
    display:flex;
}

.qr img{
    border-radius: inherit;
}

.b-intro{
    display:flex;
    flex-direction:column;
    gap:calc(var(--unit)*2);
}

.b-socials{
    padding:calc(var(--unit)) 0px;
    width: 100%;
    border-top:solid 1px var(--lighter-grey);
    border-bottom:solid 1px var(--lighter-grey);
    height:max-content;
    justify-content:center;
    display:flex;
    align-items: center;
    gap:var(--unit);
}

.b-social{
    display:flex;
    gap:calc(var(--unit)*2);
}

.soc-icon{
    width:25px;
    height:25px;
    padding:var(--unit);
}

.b-name{
    font-size:14px;
    width:100%;
    color:var(--white);
    height:max-content;
    letter-spacing:3px;
    text-shadow:1px 1px 3px var(--black);
    position:relative;
    font-family: "Zen Dots", sans-serif;
}

.b-name:after{
    content:"";
    height:1.5px;
    width:50%;
    background-color:var(--card-color);
    position:absolute;
    bottom:calc(var(--unit)*-2);
    left:0;
}

.b-role{
    font-size:10px;
    color:var(--white);
}

.front-page, .back-page{
    width:100%;
    height:100%;
    display:flex;
    justify-content:center;
    position:absolute;
    align-items:center;
    flex-direction:column;
    gap:calc(var(--unit)*1);
    backface-visibility: hidden;
    overflow:hidden;
    border-radius:10px;
}

.back-page{
    background-color:var(--lighter-grey); 
    transform: rotateX(180deg);
}

.holder-name{
    font-size:47px;
    font-weight:900;
    opacity:0.95;
    position:relative;
    pointer-events:none;
    z-index:3;
    color: white;
    font-family: "Zen Dots", sans-serif;
}

.holder-titles{
    font-family: "Red Hat Text", sans-serif;
    font-size:12px;
    font-weight:600;
    color:var(var(--white));
}

.front-page{
    background-color:var(--lighter-grey);
}

.front-page:after{
    width:100%;
    height:200%;
    position:absolute;
    z-index:1;
    content: " ";
    transform:rotate(30deg) translateX(-180px) translateY(-80px);
    background:linear-gradient(180deg, transparent,#ffffff24);   
}



/*  */

input{
    width:100%;
    height:40px;
    border:solid 1px var(--lighter-grey);
    color:var(--white);
    background-color:transparent;
    padding:calc(var(--unit)*2);
    margin-top:calc(var(--unit));
}

.banner{
    width:100%;
    height:100%;
    display:flex;
    align-items:center;
    justify-content:center;
}

.account{
    display:flex;
    width:40px;
    height:40px;
    padding:calc(var(--unit)*2);
    border:solid 1px var(--white);
    background:radial-gradient( #ffffff0a, #ffffff0e);
    backdrop-filter:blur(5px);
    -webkit-backdrop-filter: blur(5px);
     box-shadow:-2px 2px 5px -1px black;
}

.all-contacts{
    width:50%;
    height:100%;
    display:flex;
    align-items:flex-start;
    justify-content:center;
    flex-direction: column;
    gap:calc(var(--unit)*10);
}

.invisible{
    opacity:0;
}

.pointer{
    width:35px;
    height:35px;
    display:none;
    position:fixed;
    top:0;
    left:0;
    align-items:center;
    justify-content: center;
    z-index:150;
    pointer-events:none;
    /* transition:transform .3s; */
    transition:.1s;
}

.cursor{
    width:100%;
    height:100%;
    /* transform:rotate(30deg); */
    padding:0;
}

.cursor img{
    width:100%;
    height:100%;
}

.visible{
    opacity:1;
}

/* .box:hover{
    border:1px solid #f2e20c;
    color:#f2e20c;
    transform:scale(0.6);
} */

.account img{
    filter: brightness(0) invert(1);
    -webkit-filter: brightness(0) invert(1);
}

input:focus, textarea:focus{
    border:solid 1px var(--accent);
    outline:1px solid var(--accent);
}

textarea{
    border:solid 1px var(--lighter-grey);
    background-color:transparent;
    height:200px;
    resize:none;
    color:var(--white);
    padding:var(--unit);
    margin-top:calc(var(--unit)*2);
}

.socials{
    width:100%;
    height:max-content;
    display:flex;
    justify-content:center;
    gap:calc(var(--unit)*5);
    margin-top:calc(var(--unit)*3);
    margin-bottom:calc(var(--unit)*3);
}

.social-icon{
    width:20px;
    height:20px;
    display:flex;
    justify-content:center;
    align-items:center;
}

*::-webkit-scrollbar{
    width:0px;
    height:0px;
}

p{
    font-family: "Red Hat Text", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-size: 16px;
    line-height:1.5;
    color:var(--lighter-white);
}

.project-description{
    display:flex;
    gap:calc(var(--unit)*4);
    flex-direction: column;
}

.project-left, .project-right{
    width:100%;
    height:100%;
    display:flex;
    gap:calc(var(--unit)*2);
    flex-direction: column;
}

.holder{
    width:100%;
    height:max-content;
}

body{
    width: 100%;
    height:max-content;
    font-family: "Zen Dots", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    display:flex;
    justify-content: center;
    align-items:center;
    overflow-x:hidden;
    background-color:var(--black);
    cursor:none;
    position:relative;
    background-position: center;
    transition:0.8s;
}

.container{
    width:100%;
    max-width:1440px;
    display:flex;
    height:max-content;
    z-index:2;
    overflow: hidden;
    overflow-x:hidden;
}

.projects-page{
    width:100%;
    position:fixed;
    top: 0;
    left:0;
    height:100%;
    z-index:12;
    background-color:var(--accent);
    padding:calc(var(--unit)*2);
    display:none;
    flex-direction:column;
}

.project-list{
    width:100%;
    position: static;
    height:500px;
    overflow:scroll;
    flex: 1;
    display:flex;
    margin-top:calc(var(--unit)*5);
    flex-direction:column;
    gap:2px;
}

.link-out, .to-git{
    width:40px;
    height:40px;
    background-color:var(--lighter-grey);
    padding:calc(var(--unit)*1.5);
}

.link-out:hover, .to-git:hover{
   border:solid 1px var(--accent);
    transform:scale(0.8);
    transition:transform .3s ease-out;
}

.p-buttons{
    display:flex;
    gap:calc(var(--unit)*2);
}

.project-item{
    width:100%;
    flex-shrink:0;
    height:100px;
    display:flex;
    font-size:20px;
    opacity:0;
    align-items:center;
    color:var(--white);
    justify-content:space-between;
    background-color:var(--grey2);
    padding:calc(var(--unit)*2) calc(var(--unit)*4);
    animation: swipe-in .2s ease-in forwards;
}

.project-page-header{
    color:var(--grey2);
    font-size:50px;
}

section, footer{
    width:100%;
    height:max-content;
    position:relative;
    display:flex;
    justify-content:center;
    padding:calc(var(--unit)*10) calc(var(--unit)*3);
}

footer{
    background-color:black;
    color: white;
    padding:calc(var(--unit)*8) calc(var(--unit)*3);
    z-index:3;
}


#section1{
    height:100vh;
    padding:calc(var(--unit)*8) calc(var(--unit)*2);
    position: relative;
    overflow:hidden;
    max-height:900px;
}

#main-header .container{
    height:100%;
    position: relative;
    display:flex;
    align-items:center;
    justify-content:space-between;
}

.logo img{
    width:50px;
    height:50px;
    filter:invert();
    -webkit-filter:invert();
}

nav{
    top:0;
    width:20px;
    height:30px;
}

main{
    width:100%;
    height:max-content;
    position: relative;
}

#main-header{
    width:100%;
    height:65px;
    display:flex;
    background-color:var(--lighter-grey);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter:blur(8px);
    border-bottom:solid 1px var(--lighter-grey);
    box-shadow:1px 0px 2px var(--black);
    position:fixed;
    top:0;
    z-index:9;
    padding:0 calc(var(--unit)*2);
    justify-content:center;
}

#section1 .container{
    flex-direction:column;
    justify-content:space-between;
    height:100%;
}

.talk{
    width:100%;
    display:flex;
    flex-direction:column;
    z-index:3;
    gap:calc(var(--unit)*5);
}

.talk p{
    text-align:center;
}

h1{
    font-family: "Zen Dots", sans-serif;
    font-weight: 700;
    font-style: normal;
    position:relative;
    font-size:75px;
    text-align:left;
    color:var(--grey);
    -webkit-text-stroke:1px;
    -webkit-text-stroke-color:white;
    letter-spacing:2px;
    z-index:4;
    margin:0;
}

.intro-header{
    display: flex;
    width:max-content;
    gap:calc(var(--unit)*3);
    text-align: left;
}

.intro{
    font-family: "Zen Dots", sans-serif;
    font-weight: 400;
    line-height:1.2;
    text-align:center;
    font-size:16px;
    color:var(--white);
}

#btn1{
    width:100%;
    display:flex;
    justify-content:center;
    margin-bottom:calc(var(--unit)*2);
}

.toast{
    color:var(--white);
    font-size:14px;
    font-weight:400;
    display:flex;
    gap:calc(var(--unit)*15);
    align-items:flex-end;
    width:100%;
    margin-bottom:calc(var(--unit)*20);
    flex-direction:column;
    height:max-content;
    justify-content:space-between;
}

.cutter{
    color:var(--grey);
}

.small{
    font-size: 14px;
}

.after{
    background-color:var(--accent-light);
    top:7px;
    right:7px;
    z-index:0;
    border:solid 1.5px var(--accent);
    transition:0.1s ease-in;
}

.before{
    display:flex;
    justify-content:center;
    align-items:center;
    z-index:1;
    font-size: 12px;
    color:black;
    border:solid 1px var(--accent);
    background-color:var(--accent);
}

.btn1:hover .after{
    top:0;
    right:0;
}

.portfolio{
    color: var(--white);
    text-decoration:underline;
}

button,a{
    pointer-events:all;
    cursor:pointer;
    background-color:transparent;
    letter-spacing:0.7px;
}

.btn1:hover .before{
   border:solid 1px var(--accent);
   transition:0.3s linear 0.1s;
   background-color:var(--accent-light);
}

.top-heading{
    display:flex;
    width:max-content;
    height:auto;
    flex:1;
    pointer-events:none;
    width:100%;
}

.availability{
    width:max-content;
    display:flex;
    gap:calc(var(--unit)*2);
    height:max-content;
    padding:calc(var(--unit)*2);
    align-items:center;
    color:var(--white);
    font-weight:300;
    top:0;
    font-size: 8px;
    font-weight:600;
    border:solid 1px var(--grey);
    border-radius:50px;
    position: absolute;
    font-family:system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.profile{
    width:100px;
    height:100px;
    border-radius:50%;
    border: solid 4px var(--accent);
}

.profile img{
    border-radius: 50%;
}

.match{
    display:flex;
}

.share{
    margin-top:10px;
}

#share-profile{
    background-color:var(--accent);
    width:max-content;
    max-width:200px;
    min-width:200px;
    height:max-content;
    font-size: 12px;
    color:var(--black);
    padding:calc(var(--unit)*2);
}

.name{
    font-size:19px;
    font-weight:500;
}
.role{
    font-size:15px;
}
.techstack{
    font-size:12px;
    display:flex;
    text-align: center;
    width:100%;
    font-weight:400;
    color:var(--white);
    justify-content:center;
}
.portfolio{
    font-size:14px;
}

.close{
    width:25px;
    height:25px;
    position:absolute;
    top:calc(var(--unit)*2);
    right:calc(var(--unit)*2);
    display:flex;
    justify-content:center;
    align-items:center;
    background-color:transparent;
    padding:var(unit);
}

.close:hover{
    transform:scale(0.8);
    transition:transform .3s;
    border:solid 1px var(--accent);
}

.profile-card{
    width:310px;
    height:400px;
    top:80px;
    right:calc(var(--unit)*10);
    background-color:var(--lighter-grey);
    border:solid 1px var(--lighter-grey);
    z-index:10;
    border-radius:calc(var(--unit)*5);
    color:var(--white);
    display:none;
    flex-direction:column;
    backdrop-filter:blur(8px);
    -webkit-backdrop-filter: blur(8px);
    align-items:center;
    justify-content:space-between;
    padding:calc(var(--unit)*5);
    box-shadow:-2px 2px 5px -1px black;
    animation: scale 0.3s ease-out;
    transform-origin:100% 0%;
}

#section5{
    padding:calc(var(--unit)*10) 0px;
    background-color:var(--grey);
    height:max-content;
    z-index:5;
}

#section6{
    z-index:5;
    /* height:800px; */
    background-color:var(--black);
}

.skill-icon{
    width:45px;
    height:45px;
}

.scroller{
    width:100%;
    height:100%;
    overflow: hidden;
}

.skills{
    width:max-content;
    display:flex;
    height:max-content;
    justify-content:flex-start;
    list-style-type: none;
    align-items:center;
    gap:calc(var(--unit)*10);
    overflow:hidden;
    animation: cruise 60s linear infinite ;
}

#section5 .container{
    align-items:center;
}

.skills li{
    align-items:center;
    justify-content:center;
    height:max-content;
    width:max-content;
    display:flex;
    gap:calc(var(--unit)*3);
    color:var(--black);
    font-size:40px;
}

/* .lucide-icon{
    width:20px;
    height:20px;
    color:var(--white);
    display:flex;
}

.lucide-icon2{
    width:30px;
    height:30px;
    color:var(--black);
    display:flex;
} */

.dp{
    width:40px;
    height:40px;
    border-radius:50%;
    border:solid 2px var(--accent);
}

.dp img{
     border:solid 4px var(--black);
     border-radius: inherit;
}

/* .contacts{
    width:30px;
    height:30px;
    border-radius:50%;
    position:absolute;
    display:flex;
    justify-content:center;
    align-items:center;
    padding:6px;
    top:0;
    left:0;
    transform:rotate(-20deg);
    background-color: var(--accent-dark);
    border:solid 1.5px var(--white);
     backdrop-filter:blur(20px);
    -webkit-backdrop-filter: blur(20px);
}

.contacts:hover{
    transform:scale(1.2) rotate(-20deg);
    transition:0.5s;
} */

/* #linkedin{
    left:24px;
    top:-25px;
}
#twitter{
    left:-25px;
    top:30px;
}
#facebook{
    left:3px;
    top:61px;
}

.contact-slide{
    width:70px;
    display:none;
    height:70px;
    border-radius:inherit;
    position:absolute;
    overflow: visible;
    transform:rotate(20deg);
    animation: rotate 0.2s ease-out forwards;
    pointer-events:none;
}*/

/* .contact{
    width:45px;
    height:45px;
    border-radius:50%;
    background-color:var(--accent-dark);
    position:absolute;
    border:solid 1.5px var(--white);
    display:none;
    justify-content:center;
    align-items:center;
    padding:calc(var(--unit)*2.5);
    right:calc(var(--unit)*10);
    transform:translateX(150px);
    transition:1s;
    bottom:calc(var(--unit)*10);
    z-index:5;
    pointer-events:all;
     backdrop-filter:blur(5px);
    -webkit-backdrop-filter: blur(5px);
    box-shadow:-2px 2px 8px -1px black;
}  */

.char-block{
    pointer-events:all;
}

.btn1{
    color:var(--black);
    height:45px;
    padding:0px calc(var(--unit)*5);
    width:max-content;
    min-width:300px;
    cursor: pointer;
    font-weight:600;
    text-decoration: none;
    display:flex;
    align-items: center;
    justify-content:center;
    position:relative;
    /* font-size:10px; */
    font-family: "Zen Dots", sans-serif;
}

.social-icon{
    padding:0px;
}

a:not(.account){
    border:none;
}

.after, .before{
    width:100%;
    height:100%;
    padding:calc(var(--unit)*2);
    position:absolute;
}

#section2{
    background-color:var(--grey);
    padding:calc(var(--unit)*5) calc(var(--unit)*3);
}

.half{
    width:auto;
    flex:1;
}

.divider{
    width:3px;
    height: 50px;
    background-color:var(--black);
}

.divider2{
    width:3px;
    height: 40px;
    background-color:#00000080;
}

.experience, .projects{
    display:flex;
    align-items:center;
    gap:calc(var(--unit)*2);
    font-family: "Zen Dots", sans-serif;
}

.projects{
    padding-left:calc(var(--unit)*3);
}

.project p{
    color:var(--text);
}

.num{
    font-size:24px;
    font-weight:600;
    line-height: 1;
    transition:0.5s;
}
.col{
    display:flex;
    flex-direction: column;
    line-height: 1;
}

.plus{
    font-size: 12px;
    font-weight:600;
}

.sub{
    font-weight:200;
    font-size: 12px;
    line-height: 1;
    color:var(--dark-grey);
}

#section3{
    z-index:2;
    height:max-content;
}

h3{
    margin-bottom:calc(var(--unit)*4);
}

h4{
    font-size:14px;
    font-weight:400;
    margin-bottom:calc(var(--unit)*1.5);
}

#github{
    top:-10px;
    left:-15px;
}
.github{
    width:30px;
    height:30px;
    padding:calc(var(--unit)*1.5);
    background-color:var(--accent);
}

.links{
    display:flex;
    justify-content:flex-start;
    align-items:center;
    gap:calc(var(--unit)*1);
}

.live{
    width:max-content;
    height:30px;
    justify-content:center;
    align-items:center;
    gap:calc(var(--unit)*2);
    display:flex;
    font-size:10px;
    color:var(--white);
    padding:0px calc(var(--unit)*5);
    background-color:var(--accent);
}

.links{
    position: absolute;
    bottom:calc(var(--unit)*7);
}

.socials-tab{
    width:100%;
    height:max-content;
    position:fixed;
    display:flex;
    align-items:center;
    justify-content:center;
    bottom:-50px;
    z-index:8;
    pointer-events:none;
}

.social-btn{
    width:35px;
    height:35px;
    border-radius:50%;
    display:flex;
    justify-items:center;
    align-items:center;
}

.social-btn2{
    width:35px;
    height:35px;
    padding:calc(var(--unit)*1.7);
    border-radius:50%;
    background-color:#00000060;
}

.social-btn2:hover{
    transition:transform .3s;
    transform:scale(1.2);
}

.social-btn img{
    border-radius:inherit;
    border:solid 2px var(--accent);
}

.flex{
    display:flex;
    gap:calc(var(--unit)*1.5);
}

.social-buttons{
    width:320px;
    border:solid 1px var(--accent);
    height:50px;
    background-color:var(--lighter-grey);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    border-radius:50px;
    transform:translateY(0px);
    padding:calc(var(--unit)*2);
    justify-content:space-between;
    align-items:center;
    display:flex;
    transition:.5s;
    box-shadow:0px 0px 5px -2px black;
}

.live img{
    display:flex;
    justify-content:center;
    align-items:center;
    width:15px;
    height:15px;
}

ul{
    list-style-type:none;
}

footer a, .a-p{
    color:var(--white);
    background-color: transparent;
    font-size:14px;
}

.a-p{
    text-decoration:underline;
}

.technologies{
    display:flex;
    width:100%;
    flex-wrap: wrap;
    gap:calc(var(--unit)*1.5);
}

.tech{
    width:max-content;
    height:max-content;
    padding:var(--unit) calc(var(--unit)*3);
    border-radius:50px;
    gap:var(--unit);
    font-size:14px;
    border:solid 1px var(--grey);
    font-family: "Red Hat Text", sans-serif;;
}

.left{
    width:50%;
    height:max-content;
    color:var(--white);
    display:flex;
    gap:calc(var(--unit)*10);
}

.about-content{
    display:flex;
    flex-direction: column;
    width:100%;
    height:max-content;
    gap:calc(var(--unit)*5);
}

.foot-item{
    flex:1;
    width:auto;
    display:flex;
    flex-direction: column;
    justify-content:flex-start;
    align-items:flex-start;
}

.foot-item a{
    text-decoration:underline;
}

footer .container{
    width:100%;
    display:flex;
    font-family:"Red Hat Text", sans-serif;
    flex-wrap:wrap;
    flex-direction: column-reverse;
    gap:calc(var(--unit)*8);
}

strong{
    color:var(--white);
    font-weight:900;
}

.about-item{
    flex-shrink: 0;
    height:max-content;
    padding:16px;
    align-items: center;
    width:100%;
    display:flex;
    flex-direction:column;
    flex:1;
    gap:calc(var(--unit)*5);
}

.about-item p{
    text-align: justify;
}

.about-item h3{
    color:var(--white);
}

.project-page-header{
    color:var(--black);
}

.right{
    width:50%;
    height:max-content;
    display:flex;
    justify-content: center;
    align-items:center;
}

.me{
    width:100%;
    height:max-content;
    display:flex;
    justify-content:center;
    align-items:center;
    position:relative;
    display:flex;
}

.display{
    width:300px;
    height:300px;
    position: relative;
    z-index:2;
    border: solid 10px var(--accent);
    filter:grayscale(90%) contrast(100%);
    opacity:0;
    transform:scale(0.2) rotate(45deg);
    transition:transform .5s ease-in;
    -webkit-filter:grayscale(100%) contrast(150%);
}

.display:hover{
     filter:grayscale(0%) contrast(150%);
    -webkit-filter:grayscale(0%) contrast(150%);
}

#section4, #section3{
    transition:0.5s ease-in;
    overflow:hidden;
}

#section4 .container, #section3 .container{
    flex-direction:column;
}

.head{
    position:relative;
    white-space:nowrap;
    display:flex;
    font-size:40px;
    font-weight:400;
    width:100%;
    color:var(--lighter-grey);
    line-height:.5;
}

.head::after{
    content:attr(data);
    -webkit-text-stroke-color:var(--white);
    -webkit-text-stroke-width:1px; 
    position:absolute;
    top:calc(var(--unit)*1.5);
    white-space:nowrap;
    pointer-events:none;
    color:var(--accent-light);
}

.header2 p{
    font-size:18px;
    font-weight:200;
    height:max-content;
    color: var(--white);
    width:100%;
    text-align:left;
    /* line-height: 1.5; */
    position:relative;
    padding-bottom:calc(var(--unit)*5);
}
#section6 .container{
    flex-direction:column;
    height:100%;
}

.header2 p::after{
    content:" ";
    position:absolute;
    height:2px;
    width:100px;
    background-color:var(--accent);
    bottom:0;
    left:0;
}
.header2 p::before{
    content:" ";
    position:absolute;
    height:2px;
    width:5px;
    background-color:var(--white);
    bottom:0;
    left:108px;
}

.header2{
    width:100%;
    display:flex;
    align-items:flex-start;
    flex-direction:column;
    font-weight:700;
    gap:calc(var(--unit)*6);
    justify-content:space-between;
    padding:calc(var(--unit)*5) 0;
    border-top:solid 0.5px var(--lighter-grey);
    border-bottom:solid 0.5px var(--lighter-grey);
}

.my-projects{
    display:flex;
    flex-direction:column;
    gap:calc(var(--unit)*10);
    gap:20px;
}

#section4{
    transition:transform 0.8s ease-in;
}

.sub-section{
    width:100%;
    height:280px;
    min-height:250px;
    display:flex;
    justify-content:center;
    position:relative;
    align-items:flex-start;
    margin-bottom:200px;
    z-index:1;
    position:sticky;
    top:100px;
    transition:transform 0.5s ease-in;
    padding:0 calc(var(--unit)*15);
}

.projects{
    width:100%;
}

.page-header{
    margin-bottom:calc(var(--unit)*10);
    display:flex;
    align-items:flex-start;
}

.cover{
    position:fixed;
    width:100%;
    top:0px;
    left:0px;
    display:flex;
    justify-content:center;
    padding-top:100px;
    height:100vh;
    overflow:hidden;
    background-color:transparent;
    pointer-events:none;
    z-index:25;
}

.numero{
    font-size:18px;
}

.preview{
    width:100%;
    height:120px;
    background-color:#00000010;
    background-repeat:no-repeat;
    background-size:cover;
    background-position: center;
    background-clip:center;
    background-origin: center;
    box-shadow:1px 1px 1px 0px var(--grey);
    border:solid 2px var(--dark-grey);
}

.form-button{
    width:full;
    display:flex;
    justify-content:center;
    margin-bottom:calc(var(--unit)*2);
}

.animated{
    opacity:0;
    transform: scale(0.5);
    transition: .5s;
}

.project-body{
    display:flex;
    flex-direction:column;
    width:100%;
    height:max-content;
    gap:calc(var(--unit)*5);
}


#pawn, #palette{
    display:none;
}

.see-more{
    width:100%;
    height:70px;
    position: absolute;
    top:-90px;
    display:flex;
    justify-content:center;
    align-items:center;
    z-index:5;
}

.project{
    width:340px;
    height:480px;
    background-color: var(--white);
    box-shadow:-2px 2px 5px -1px black;
    position: absolute;
    display:flex;
    flex-direction:column; 
    gap:calc(var(--unit)*3);
    flex-direction: column;
    transition: transform 0.8s;
    padding:calc(var(--unit)*5);
    transform-origin:0% 0%;
}

#project-description{
    display: -webkit-box;
    -webkit-line-clamp: 3;   /* Number of lines to show */
    -webkit-box-orient: vertical;
    overflow: hidden;
    line-height: 1.2;
    text-overflow: ellipsis;
}

.copy{
    font-size:10px;
}

.hoop{
    animation: hoop .8s ease-in-out forwards;
}

.swipe-in{
    animation: swipe-in .2s linear forwards;
}

@keyframes cruise{
    0%{
        transform:translateX(0%);
    }
    100%{
        transform:translateX(calc(-50% - 20px));
    }
}

@keyframes draw {
  to { 
    stroke-dashoffset: 0;
    /* fill:var(--accent); */
  }
}

@keyframes blink{
    0%{
        transform:scale(1);
    }
    100%{
        transform:scale(1.8);
    }
}
@keyframes scale{
    0%{
        transform:scale(0.2) skew(-45deg);
    }
    100%{
        transform:scale(1)  skew(0deg);
    }
}

@keyframes slide-in{
    0%{
        transform:translateX(150px);
    }
    100%{
         transform:translateX(0px);
    }
}
@keyframes swipe-in{
    0%{
        opacity:0;
        transform:translateX(50px);
    }100%{
        opacity:1;
        transform:translateX(0);
    }
}

@keyframes slide-out{
    0%{
        transform:translateX(0px);
    }
    100%{
         transform:translateX(150px);
    }
}

@keyframes rotate{
    0%{
        transform:rotate(70deg)
    }
    100%{
        transform: rotate(20deg);
    }
}

@keyframes hoop{
    0%,100%{
        transform: translateY(0);
    }
    50%{
        transform: translateY(-20px);
    }
}

@keyframes jump-in{
    to{
        transform: translate(0px, 0px) scale(1);
        opacity:1;
    }
}

@media (min-width: 768px) {
    .project{
        width:750px;
        padding:calc(var(--unit)*8);
        height:420px;
    }

    .social-buttons{
        width:250px;
    }

    .display{
        width:400px;
        height:400px;
    }

    h1{
         font-size:150px;
    }

    .social-buttons{
        width:500px;
    }

    h3{
        font-weight: 400;
        font-size:29px;
        line-height:1.2;
        margin-bottom:calc(var(--unit)*5);
    }

    footer .container{
        width:100%;
        display:flex;
        font-family:"Red Hat Text", sans-serif;;
        flex-wrap:wrap;
        flex-direction:row;
        gap:calc(var(--unit)*8);
    }

    .project-page-header{
        font-size:120px;
    }

    .project-description{
        gap:calc(var(--unit)*5);
    }

    h4{
        margin-bottom:calc(var(--unit)*2);
    }

    .social-btn2{
        width:30px;
        height:30px;
    }

    #project-description{
        -webkit-line-clamp:unset;   /* Number of lines to show */
    }

    .page-header{
        margin-bottom:calc(var(--unit)*20);
    }

    #btn1{
        width:max-content;
    }

    .header2 p{
        max-width:450px;
        font-size:18px;
    }

    .numero{
        font-size:24px;
    }

    /* .header2{
        flex-direction: row;
        gap:0;
    } */

    /* .before{
        font-size: 10px;
    } */

    section, footer{
        padding:calc(var(--unit)*30) calc(var(--unit)*10);
    }

    footer{
        padding:calc(var(--unit)*10) calc(var(--unit)*10);
    }

    .head{
        font-size:60.44px;
        width:max-content;
    }

    #main-header{
        padding:0 calc(var(--unit)*10);
    }

    #section1{
        padding:calc(var(--unit)*8) calc(var(--unit)*10);
    }

    .toast{
        flex-direction:row;
        gap:0;
    }

    #section2{
        padding:calc(var(--unit)*10) calc(var(--unit)*10);
    }

    .preview{
        height:200px;
    }

    .num{
        font-size:45.23px;
    }
    .plus{
        font-size: 16px;
    }
    .sub{
        font-size: 16px;
    }

    .btn1{
        height:40px;
        min-width:250px;
        
    }
    .talk p{
        text-align:left;
    }
    .project-body{
        flex-direction:row;
    }
     .toast{
        margin-bottom:0;
    }

     form{
        width:100%;
        height:max-content;
        max-width:600px;
    }
}

@media (min-width: 1024px){
    .about-content{
        gap:calc(var(--unit)*15);
    }

    .arrow-one, .arrow-two{
        display:flex;
    }

    #header-left{
        flex-direction:row-reverse;
    }

    .page-header{
        flex-direction:row;
    }

     .head{
        font-size:90.44px;
    }

     .me{
        width:50%;
        height:max-content;
    }

    .form-button{
        width:full;
        display:flex;
        justify-content:flex-end;
        margin-bottom:calc(var(--unit)*2);
    }

    h1{
         font-size:260px;
    }

    .project{
        width:900px;
    }

    .about-description{
        /* flex:1; */
        display:flex;
        flex-direction:column;
        height:100%;
        justify-content: center;
        width:50%;
    }

    #pawn{
        width:50%;
        height:max-content;
        display:flex;
        justify-content:center;
        align-items:center;
        transform:rotate(10deg);
    }

    .profile-card{
        position: fixed;
    }

    #pawn:hover, #palette:hover{
        transform:rotate(-5deg);
        transition: transform ease-out .2s;
    }

    #image-pawn{
        width:400px;
        height:400px;
    }

    #section1{
        max-height:700px;
    }

    .pointer{
        display:flex;
    }

    .project-left, .project-right{
        width:100%;
    }

    .about-item h3{
        width:50%;
    }


    .intro{
        text-align:left;
    }

    .about-item{
        flex-direction:row;
        align-items: center;
        display: flex;
    }
/* 
    #about3{
        align-items:flex-end;
    }

    #about2{
        align-items:center;
    }

    #about1{
        align-items:flex-start;
    } */

    .projects{
        padding-left:calc(var(--unit)*10);
    }

    .project-body{
        gap:calc(var(--unit)*8);
    }

    .head::after{
        left:calc(var(--unit)*1.5);
    }

    .banner{
        justify-content:center;
    }
}